/*
** Copyright (C) 2001 Martin Roesch <roesch@sourcefire.com>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifdef WIN32

#ifndef __WIN_COMPAT_H__
#define __WIN_COMPAT_H__


#include <string.h>
#include <stdlib.h>
#include "getopt.h"
#include <signal.h>
#include <io.h>
#include <winsock.h>


#define bzero(p,s)			memset(p,0,s)
#define strncasecmp			strnicmp
#define strcasecmp			stricmp
#define sleep				Sleep
#define read				_read
#define write				_write
#define lseek				_lseek
#define snprintf			_snprintf
#define vsnprintf			_vsnprintf


typedef unsigned long u_int32_t;
typedef unsigned short u_int16_t;
typedef unsigned char u_int8_t;
typedef unsigned char u_char;
typedef unsigned short u_word;
typedef size_t ssize_t;


int gettimeofday(struct timeval *tv, struct timezone *tz);
int init_winsock(void);
int geteuid(void);
int getpid(void);
int link(char *source, char *dest);
void PrintDeviceList(const char* device);
void *GetAdapterFromList(void *device,int index);
unsigned long getnetmask(char *netstr);  /* returns a subnet mask (i.e. /24) as a long (i.e. 0xffffff00) */


#endif
#endif
